Skip to main content
GET
/
api
/
organization
/
{organization_id}
/
role
List Roles
curl --request GET \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/role \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_system": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "permissions": []
  }
]

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required

Query Parameters

resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Response

Successful Response

name
string
required
Maximum string length: 255
id
string<uuid>
required
organization_id
string<uuid> | null
required
is_system
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
permissions
RolePermissionResponse · object[]